Class | StateMachine
In: | lib/facets/more/stateparser.rb
Parent: | Object

StateMachine Class

### Methods

finish flush token tokenIsUnit? tokenIsUnit? tokens tokens

### Included Modules

::StateParser::Constants

### Public Class methods

token( name, &block )
tokenIsUnit?()
tokens()

### Public Instance methods

finish( state )
flush( text, state )

These you can fill out to do things on parser events.

tokenIsUnit?()
tokens()

token information

[Validate]